> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Articles by Category Slug

> Get Articles by Category Slug.



## OpenAPI

````yaml GET /articles/getByCategorySlug/{slug}
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags: []
paths:
  /articles/getByCategorySlug/{slug}:
    get:
      tags:
        - Articles
      summary: Get articles by category slug (public)
      parameters:
        - in: path
          name: slug
          required: true
          schema:
            type: string
            example: surgery
        - in: query
          name: page
          schema:
            type: integer
            example: 1
        - in: query
          name: limit
          schema:
            type: integer
            example: 20
      responses:
        '200':
          description: OK
          content:
            application/json:
              example:
                success: true
                statusCode: 200
                message: OK
                data:
                  items:
                    - id: '{{objectId}}'
                      slug: droopy-nose
                      categorySlug: surgery
                  pagination:
                    total: 1
                    page: 1
                    limit: 20
                    totalPages: 1
        '404':
          description: Not found
          content:
            application/json:
              example:
                success: false
                statusCode: 404
                message: Category not found
                data: null
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````